%bcond_with bootstrap

Name:           plexus-cipher
Version:        2.0
Release:        %mkrel 2
Group:          Development/Java
Summary:        Plexus Cipher: encryption/decryption Component
License:        ASL 2.0
# project moved to GitHub and it looks like there is no official website anymore
URL:            https://github.com/codehaus-plexus/plexus-cipher
BuildArch:      noarch

Source0:        %{url}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap-openjdk8
%else
BuildRequires:  maven-local-openjdk8
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(junit:junit)
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.inject)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
%endif

%description
Plexus Cipher: encryption/decryption Component

%{?javadoc_package}

%prep
%setup -q -n %{name}-%{name}-%{version}
%mvn_file : plexus/%{name}
%mvn_alias org.codehaus.plexus: org.sonatype.plexus:

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt


%changelog
* Mon Jul 25 2022 neoclust <neoclust> 2.0-2.mga9
+ Revision: 1871267
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 2.0-1.mga9
+ Revision: 1870861
- New version 2.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 neoclust <neoclust> 1.7-15.mga8
+ Revision: 1617592
- Fix build with java11

* Wed Feb 12 2020 umeabot <umeabot> 1.7-14.mga8
+ Revision: 1499259
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.7-13.mga7
+ Revision: 1274305
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.7-11.mga6
+ Revision: 977778
- First rebuild of the java stack
- sync package plexus-cipher with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 daviddavid <daviddavid> 1.7-6.mga5
+ Revision: 806567
- rebuild with current cdi-api

* Wed Oct 15 2014 umeabot <umeabot> 1.7-5.mga5
+ Revision: 740669
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 dmorgan <dmorgan> 1.7-3.mga5
+ Revision: 641066
- Migrate from sisu-maven-plugin to sisu-mojos

* Mon Oct 21 2013 umeabot <umeabot> 1.7-2.mga4
+ Revision: 537616
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 1.7-1.mga4
+ Revision: 487320
- New version

* Sat Jul 13 2013 dmorgan <dmorgan> 1.5-14.mga4
+ Revision: 453656
- Remove unnecessary dependency on plexus-containers (rhbz #908586)
- Fixed URL (Resolves: RHBZ #880322)
- Improve randomness of PBECipher
- Resolves: rhbz#880279

* Mon Jul 08 2013 dmorgan <dmorgan> 1.5-11.mga4
+ Revision: 451285
- Remove duplicated NOTICE file

* Mon Jul 08 2013 dmorgan <dmorgan> 1.5-10.mga4
+ Revision: 451224
- Clean spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.5-10.mga3
+ Revision: 377836
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ luigiwalser <luigiwalser>
- improve randomness of PBECipher (rhbz#880279)

* Tue Jan 03 2012 gil <gil> 1.5-8.mga2
+ Revision: 189785
- replaced plexus-maven-plugin with plexus-component-metadata

* Wed Jul 20 2011 dmorgan <dmorgan> 1.5-7.mga2
+ Revision: 127167
- Ignore test failures.

* Wed Jul 20 2011 dmorgan <dmorgan> 1.5-6.mga2
+ Revision: 127155
- Do not require maven2.
- Build with maven (v. 3) by default.
- drop obsoleted parts of the spec.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.5-5.mga1
+ Revision: 93014
- Rebuild after bootstrapping
- imported package plexus-cipher


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Hui Wang <huwang@redhat.com> - 1.5-3
- Add NOTICE.text
- Fix URL
- Fix direction of install pom

* Sun May 23 2010 Hui Wang <huwang@redhat.com> - 1.5-2
- Correct URL

* Tue May 18 2010 Hui Wang <huwang@redhat.com> - 1.5-1
- Initial version of the package
